Package org.eclipse.birt.core.archive

# Class ArchiveLockManager

java.lang.Object
org.eclipse.birt.core.archive.ArchiveLockManager

public class ArchiveLockManager extends Object
used to get a IArchiveLockManager instance.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected static class`
`ArchiveLockManager.ManagerHolder`

## Constructor Summary

Constructors
Constructor
Description
`ArchiveLockManager()`

## Method Summary

Modifier and Type
Method
Description
`static IArchiveLockManager`
`getInstance()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ArchiveLockManager

public ArchiveLockManager()

## Method Details

### getInstance

public static IArchiveLockManager getInstance()